Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.engine
Class PartialTourAgentSelector

    java.lang.Object
      org.ascape.model.engine.TourAgentSelector
          org.ascape.model.engine.PartialTourAgentSelector

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, AgentSelector, Selector

Direct Known Subclasses:
  FlaggedTourAgentSelector

    public class PartialTourAgentSelector

extends TourAgentSelector

The Class PartialTourAgentSelector.

See Also:
  Serialized Form

Constructor Summary
`PartialTourAgentSelector(IncrementalExecutionStrategy strategy, int iterationCount)` Instantiates a new partial tour agent selector.

Method Summary
`boolean` | `hasMoreAgents()` Checks for more agents.
`Agent` | `nextAgent()` Next agent.
`void` | `reset()` Reset.

Methods inherited from class org.ascape.model.engine.TourAgentSelector
`clone, getStrategy, setStrategy`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartialTourAgentSelector

    public PartialTourAgentSelector(IncrementalExecutionStrategy strategy,
                                    int iterationCount)

  Instantiates a new partial tour agent selector.

  Parameters:
    `strategy` - the strategy
    `iterationCount` - the iteration count

Method Detail

### nextAgent

    public Agent nextAgent()

  Description copied from interface: `AgentSelector`
  Next agent.

  Specified by:
    `nextAgent` in interface `AgentSelector`
  Overrides:
    `nextAgent` in class `TourAgentSelector`
  Returns:
    the agent

### hasMoreAgents

    public boolean hasMoreAgents()

  Description copied from interface: `AgentSelector`
  Checks for more agents.

  Specified by:
    `hasMoreAgents` in interface `AgentSelector`
  Overrides:
    `hasMoreAgents` in class `TourAgentSelector`
  Returns:
    true, if successful

### reset

    public void reset()

  Description copied from interface: `Selector`
  Reset.

  Specified by:
    `reset` in interface `Selector`
  Overrides:
    `reset` in class `TourAgentSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD